Forum Debianizzati

Condividi contenuti
Aggiornato: 43 min 59 sec fa

Re: Si puo installare adobe after effects su debian lenny?

Mar, 13/08/2019 - 19:29
Ciao
Mille grazie all'autore per questo tema perfetto.
Ho evidenziato molti dettagli.
Ti auguro tutto il meglio
Categorie: Forum Debianizzati

IcedTea con Buster stable non apre più i JNLP dell'AdE

Mar, 13/08/2019 - 15:50
Un saluto a tutto il forum, ho aggiornato la mia Debian Buster che prima era la versione testing a stable. Tutto bene, salvo il fatto che che non riesco più a fare girare i JNLP dell'Agenzia delle Entrate con IcedTea Java Web Start, devo necessariamente utilizzare al Java Web Start Launcher.

Se provo ad aprire il file JNLP con IcedTea si visualizza per un attimo la schermata di IcedTea (di dimensione inferiore al consueto), poi più nulla.

Prima, quando Buster era ancora in testing (aggiornata l'ultima volta a fine novembre, per questioni di un problema di XOrg ho aspettato ad aggiornare il rilascio a stable) i JNLP dell'Agenzia delle Entrate funzionavano a meraviglia con IcedTea.

Utilizzo una Debian Buster stable su architettura Intel a 64 bit.

Alcuni JNLP possono essere scaricati gratuitamente qui:

http://jws.agenziaentrate.it/jws/dichia ... RPF19.jnlp
http://jws.agenziaentrate.it/jws/dichia ... RSP19.jnlp
http://jws.agenziaentrate.it/jws/dichia ... RSC19.jnlp
http://jws.agenziaentrate.it/jws/dichia ... IVA19.jnlp
http://jws.agenziaentrate.it/jws/dichia ... 77019.jnlp

È vero che posso risolvere usando gli strumenti ufficiali (Java), ma preferirei se possibile usare la soluzione Open.

Grazie per qualsiasi consiglio e buona giornata a tutti,

Stéphanie
Categorie: Forum Debianizzati

Re: Debian Buster dopo aggiornamento si blocca ripetutament

Mar, 13/08/2019 - 15:36
Buongiorno a tutti, con il passaggio di Buster a stable ho aggiornato il sistema e per ora sembrerebbe funzionare tutto regolarmente senza blocchi, anche utilizzando il kernel più recente.

Grazie e buona giornata a tutti,

Stéphanie
Categorie: Forum Debianizzati

Re: Downgrade pacchetto senza disinstallare, possibile?

Mar, 13/08/2019 - 13:34
Speravo in qualche comando, fare tutto a mano diventa una cosa lunga, sono più di 160 pacchetti, direi che a questo punto l'aggiornamento alla versione 6 non risolve, toglierò tutto e reinstallerò la vecchia versione.

Grazie
Categorie: Forum Debianizzati

Modalità di visualizzazione delle pagine web di firefox

Mar, 13/08/2019 - 11:18
Salve,
perché il firefox del raspberry pi visualizza alcuni siti in modalità mobile e alcuni siti in modalità normale? Si può scegliere definitivamente il tipo di pagina da visualizzare?
Grazie
Categorie: Forum Debianizzati

Re: Downgrade pacchetto senza disinstallare, possibile?

Mar, 13/08/2019 - 10:01
Chryses ha scritto:c’'è un modo per forzare mono-complete con le relative dipendenze in un downgrade, senza però disinstallare nulla?
No, se usi il gestore di pacchetti devi comunque disinstallare la versione installata a favore della versione più vecchia. In tal caso, è tutta in carico a te la gestione della risoluzione manuale degli eventuali conflitti sulle dipendenze.
Categorie: Forum Debianizzati

[RISOLTO] Downgrade senza disinstallare, possibile?

Lun, 12/08/2019 - 18:24
Ciao, non so per quale strano motivo, ma dopo l'aggiornamento a buster mi ritrovo con una verisone di mono differente.
Premetto che il source list di mono è:
deb https://download.mono-project.com/repo/debian stretch/snapshots/5.14.0.177 main


Fino a stretch tutto ok, avevo la verisone 5.14.0.177 ma ora dopo l'aggiornamento mi ritrovo con:
$ mono --version
Mono JIT compiler version 5.18.0.240 (Debian 5.18.0.240+dfsg-3 Wed Apr 17 16:37:36 UTC 2019)
Copyright (C) 2002-2014 Novell, Inc, Xamarin Inc and Contributors. www.mono-project.com
        TLS:           __thread
        SIGSEGV:       altstack
        Notifications: epoll
        Architecture:  amd64
        Disabled:      none
        Misc:          softdebug
        Interpreter:   yes
        LLVM:          supported, not enabled.
        Suspend:       preemptive
        GC:            sgen (concurrent by default)

Mono purtroppo, da un po' di tempo, ha problemi con sonarr / radarr e per questo preferisco usare una vecchia versione.
Infatti la versione 5.18, dopo qualche giorno, manda in crisi radarr (stranamente non sonarr) e neppure un riavvio di radarr risolve.
Ho visto che è disponibile mono 6 per buster, ora provo a fare l'upgrade ma non ho molte speranze in merito.

Chiedo quindi se c'è un modo per forzare mono-complete con le relative dipendenze in un downgrade, senza però disinstallare nulla?
Ps, ma solo io non trovo la 5.14.0.177 per linux tra i sorgenti?
Categorie: Forum Debianizzati

Re: Linux Journal termina la pubblicazione

Lun, 12/08/2019 - 15:27
più che off-topic lo metterei nei necrologi.
Brutta, brutta notizia. RIP
Categorie: Forum Debianizzati

Linux Journal termina la pubblicazione

Dom, 11/08/2019 - 18:09
Il “Linux Journal” il 7 agosto 2019 ha comunicato la cessazione delle attività: vedi https://www.linuxjournal.com/content/linux-journal-ceases-publication-awkward-goodbye. L’editoria informatica (in tal caso d’oltre mare) perde uno dei pochi riferimenti rimasti. Tempi duri per il giornalismo scientifico orientato all’informatica e soprattutto per i (mancati) fruitori di tale cultura. :-(
Categorie: Forum Debianizzati

Re: [RISOLTO] Buster - come installare libreria di stretch?

Dom, 11/08/2019 - 17:36
Felice di esserti stato d’aiuto
Categorie: Forum Debianizzati

Re: Buster - come installare libreria di stretch?

Dom, 11/08/2019 - 16:52
Non ci crederai ma ho risolto!

Sulla scia di ciò che mi hai fatto fare, ho iniziato a cercare le varie librerie nel sistema, mi sono accorto che c'era una vercchia versione di rasterbar installata (probabilmente una vecchia prova di compilazione). Ho rimosso quindi tutto e reinstallato e ora qbittorrent-nox funziona, ovviamente senza le vecchie librerie di stretch 1.62

Come al solito grazie delle dritte
Categorie: Forum Debianizzati

Re: Buster - come installare libreria di stretch?

Dom, 11/08/2019 - 14:35
Chryses ha scritto:E' più complicato di quello che sembra, i casi sono solo 2
[..]
2. c'è qualcosa nel mio sistema (da capire) che non funziona bene
[..[
Ho scaricato le librerie mancanti e le ho installate, ma alla fine non parte, sarà per un altro errore
qbittorrent-nox: symbol lookup error: qbittorrent-nox: undefined symbol: _ZN10libtorrent7session5startEiRKNS_13settings_packEPN5boost4asio10io_contextE

Si tratta, credo, sempre di un errore legato alla gestione delle librerie utilizzate dal programma: il linker dinamico non trova un simbolo dinamico che dovrebbe essere fornito dalle librerie utilizzate dal programma. In altri termini, il programma richiede un simbolo, ma le librerie installate che il linker dinamico ha caricato non lo forniscono. Molto strano. Sei sicuro di aver completato l'aggiornamento da Debian Stretch a Debian Buster ?
Categorie: Forum Debianizzati

Re: Buster - come installare libreria di stretch?

Dom, 11/08/2019 - 12:36
E' più complicato di quello che sembra, i casi sono solo 2
1. il pacchetto ha qualcosa di sbagliato (improbabile, ci sarebbero già molte segnalazioni)
2. c'è qualcosa nel mio sistema (da capire) che non funziona bene

Ho scaricato le librerie mancanti e le ho installate, ma alla fine non parte, sarà per un altro errore
$ dpkg -i libboost-*
Selecting previously unselected package libboost-chrono1.62.0:amd64.
(Reading database ... 112757 files and directories currently installed.)
Preparing to unpack libboost-chrono1.62.0_1.62.0+dfsg-4_amd64.deb ...
Unpacking libboost-chrono1.62.0:amd64 (1.62.0+dfsg-4) ...
Selecting previously unselected package libboost-random1.62.0:amd64.
Preparing to unpack libboost-random1.62.0_1.62.0+dfsg-4_amd64.deb ...
Unpacking libboost-random1.62.0:amd64 (1.62.0+dfsg-4) ...
Selecting previously unselected package libboost-system1.62.0:amd64.
Preparing to unpack libboost-system1.62.0_1.62.0+dfsg-4_amd64.deb ...
Unpacking libboost-system1.62.0:amd64 (1.62.0+dfsg-4) ...
Setting up libboost-system1.62.0:amd64 (1.62.0+dfsg-4) ...
Setting up libboost-chrono1.62.0:amd64 (1.62.0+dfsg-4) ...
Setting up libboost-random1.62.0:amd64 (1.62.0+dfsg-4) ...
Processing triggers for libc-bin (2.28-10) ...

# root @ Qnap in ~ [12:31:06]
$ qbittorrent-nox

*** Legal Notice ***
qBittorrent is a file sharing program. When you run a torrent, its data will be made available to others by means of upload. Any content you share is your sole responsibility.

No further notices will be issued.

Press 'y' key to accept and continue...
y
qbittorrent-nox: symbol lookup error: qbittorrent-nox: undefined symbol: _ZN10libtorrent7session5startEiRKNS_13settings_packEPN5boost4asio10io_contextE
Categorie: Forum Debianizzati

Re: Buster - come installare libreria di stretch?

Dom, 11/08/2019 - 12:23
Ti ringrazio, ho aperto anche una segnalazione sul git di qbittorrent ma un altro utente dice che per lui funziona tutto e mi rimanda al bug report del pacchetto per debian, qui ho provato a segnalare il problema ma non mi è arrivata conferma via mail, magari non è andata a buon fine la segnalazione, riproverò.

zsh mi è sempre piaciuto, mi sono abituato nel tempo, come con tmux che ancora non adoro ma trovo utile in alcune situazioni.

Dici che è meglio bash?
Alla fine dovrò ottimizzare meglio il sistema perchè tra prove e vari test credo di avere tanti programmi/servizi che non servono. L'idea di partenza era di avere un server casalingo "leggero" con i soli programmi che mi servono.
Categorie: Forum Debianizzati

Re: Buster - come installare libreria di stretch?

Dom, 11/08/2019 - 11:56
Dall'ultimo log che hai inviato risulta:
# root @ Qnap in ~ [11:16:37] C:127
$ cat /var/lib/dpkg/info/qbittorrent-nox.md5sums
9754fe24f3272daab22762fa15841a5f  usr/bin/qbittorrent-nox
e6c09baec1bc71a6fc00bc4b0d720e0b  usr/share/doc/qbittorrent-nox/NEWS.Debian.gz
9fc7d513fc7bcb8c22a7fe4916259279  usr/share/doc/qbittorrent-nox/README.Debian
bcdbf61d48d21962e4688390e2bdf0e3  usr/share/doc/qbittorrent-nox/changelog.Debian.gz
6b70e0f3c50e62e4fe9c2cca12c9dd5d  usr/share/doc/qbittorrent-nox/changelog.gz
cf2acbe02349ea92aaa7262418d8f0d9  usr/share/doc/qbittorrent-nox/copyright
ca5580165fe6009353c81c739ef56a30  usr/share/man/man1/qbittorrent-nox.1.gz
#                                                                                                                                                   
# root @ Qnap in ~ [11:16:49]
$ apt-get -t buster --reinstall install qbittorrent-nox
Reading package lists... Done
Building dependency tree
Reading state information... Done
0 upgraded, 0 newly installed, 1 reinstalled, 0 to remove and 2 not upgraded.
Need to get 0 B/4,896 kB of archives.
After this operation, 0 B of additional disk space will be used.
(Reading database ... 112757 files and directories currently installed.)
Preparing to unpack .../qbittorrent-nox_4.1.5-1_amd64.deb ...
Unpacking qbittorrent-nox (4.1.5-1) over (4.1.5-1) ...
Setting up qbittorrent-nox (4.1.5-1) ...
Processing triggers for man-db (2.8.5-2) ...

Il programma sembra pertanto corrispondente a livello binario a quello disponibile nei repository debian. Non risulterebbero presenti nel sistema altre copie del programma,magari diverse a livello binario, che potrebbero essere installate su path diverse con precedenza rispetto al programma distribuito con i repository Debian. Dai comandi e log precedenti, la cache del linker dinamico è stata rigenerata, e tracce della libreria libboost_system.so.1.62.0 non sono presenti a livello binario (come file) in tutto il tuo sistema. In questo momento non ho trovato elementi utili a capire, quindi, perché il programma risulterebbe nella tua installazione abbisognevole di una libreria di una precedente release di Debian. Nel frattempo, se vuoi installare le librerie di Stretch, puoi eseguirne il download diretto ed l'installazione manuale (se non necessitano ulteriori dipendenze), ad esempio, con il seguente comando:
wget http://ftp.us.debian.org/debian/pool/main/b/boost1.62/libboost-system1.62.0_1.62.0+dfsg-4_amd64.deb
dpkg -i libboost-system1.62.0_1.62.0+dfsg-4_amd64.deb

In analogia, probabilmente, devi installare altre librerie.

Un'ultima domanda: perché stai usando come shell la zsh invece della bash o dash ?
Categorie: Forum Debianizzati

Re: Buster - come installare libreria di stretch?

Dom, 11/08/2019 - 11:00
Puoi fornire l'output degli ulteriori comandi:
script log.txt
apt-get install debsums
debsums
debsums --changed
debsums  qbittorrent-nox
cat/var/lib/dpkg/info/qbittorrent-nox.md5sums
apt-get -t buster --reinstall install qbittorrent-nox
exit
Categorie: Forum Debianizzati

Re: Buster - come installare libreria di stretch?

Dom, 11/08/2019 - 10:57
Ecco l'output:
# root @ Qnap in ~ [10:55:29]
$ ldd $(type qbittorrent-nox | cut -d ' ' -f 3)
        linux-vdso.so.1 (0x00007ffd541a4000)
        libz.so.1 => /usr/local/lib/libz.so.1 (0x00007efc5462b000)
        libtorrent-rasterbar.so.9 => /usr/local/lib/libtorrent-rasterbar.so.9 (0x00007efc54152000)
        libboost_system.so.1.67.0 => /usr/lib/x86_64-linux-gnu/libboost_system.so.1.67.0 (0x00007efc5414b000)
        libQt5Network.so.5 => /usr/lib/x86_64-linux-gnu/libQt5Network.so.5 (0x00007efc53faa000)
        libQt5Xml.so.5 => /usr/lib/x86_64-linux-gnu/libQt5Xml.so.5 (0x00007efc53f6b000)
        libQt5Core.so.5 => /usr/lib/x86_64-linux-gnu/libQt5Core.so.5 (0x00007efc53a70000)
        libpthread.so.0 => /lib/x86_64-linux-gnu/libpthread.so.0 (0x00007efc53a4d000)
        libstdc++.so.6 => /usr/lib/x86_64-linux-gnu/libstdc++.so.6 (0x00007efc538c9000)
        libm.so.6 => /lib/x86_64-linux-gnu/libm.so.6 (0x00007efc53746000)
        libgcc_s.so.1 => /lib/x86_64-linux-gnu/libgcc_s.so.1 (0x00007efc5372c000)
        libc.so.6 => /lib/x86_64-linux-gnu/libc.so.6 (0x00007efc5356b000)
        /lib64/ld-linux-x86-64.so.2 (0x00007efc54e92000)
        libboost_system.so.1.62.0 => not found
        libssl.so.1.1 => /usr/lib/x86_64-linux-gnu/libssl.so.1.1 (0x00007efc534d8000)
        libcrypto.so.1.1 => /usr/lib/x86_64-linux-gnu/libcrypto.so.1.1 (0x00007efc531ee000)
        libboost_chrono.so.1.62.0 => not found
        libboost_random.so.1.62.0 => not found
        librt.so.1 => /lib/x86_64-linux-gnu/librt.so.1 (0x00007efc531e4000)
        libicui18n.so.63 => /usr/lib/x86_64-linux-gnu/libicui18n.so.63 (0x00007efc52d19000)
        libicuuc.so.63 => /usr/lib/x86_64-linux-gnu/libicuuc.so.63 (0x00007efc5294f000)
        libpcre2-16.so.0 => /usr/lib/x86_64-linux-gnu/libpcre2-16.so.0 (0x00007efc528ce000)
        libdouble-conversion.so.1 => /usr/lib/x86_64-linux-gnu/libdouble-conversion.so.1 (0x00007efc528b7000)
        libdl.so.2 => /lib/x86_64-linux-gnu/libdl.so.2 (0x00007efc528b2000)
        libglib-2.0.so.0 => /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0 (0x00007efc52793000)
        libicudata.so.63 => /usr/lib/x86_64-linux-gnu/libicudata.so.63 (0x00007efc50ba3000)
        libpcre.so.3 => /lib/x86_64-linux-gnu/libpcre.so.3 (0x00007efc50b2f000)

# root @ Qnap in ~ [10:55:32]
$ ldconfig

# root @ Qnap in ~ [10:55:48]
$ ldd $(type qbittorrent-nox | cut -d ' ' -f 3)
        linux-vdso.so.1 (0x00007ffd8cc3a000)
        libz.so.1 => /usr/local/lib/libz.so.1 (0x00007f8b4a878000)
        libtorrent-rasterbar.so.9 => /usr/local/lib/libtorrent-rasterbar.so.9 (0x00007f8b4a39f000)
        libboost_system.so.1.67.0 => /usr/lib/x86_64-linux-gnu/libboost_system.so.1.67.0 (0x00007f8b4a398000)
        libQt5Network.so.5 => /usr/lib/x86_64-linux-gnu/libQt5Network.so.5 (0x00007f8b4a1f7000)
        libQt5Xml.so.5 => /usr/lib/x86_64-linux-gnu/libQt5Xml.so.5 (0x00007f8b4a1b8000)
        libQt5Core.so.5 => /usr/lib/x86_64-linux-gnu/libQt5Core.so.5 (0x00007f8b49cbd000)
        libpthread.so.0 => /lib/x86_64-linux-gnu/libpthread.so.0 (0x00007f8b49c9a000)
        libstdc++.so.6 => /usr/lib/x86_64-linux-gnu/libstdc++.so.6 (0x00007f8b49b16000)
        libm.so.6 => /lib/x86_64-linux-gnu/libm.so.6 (0x00007f8b49993000)
        libgcc_s.so.1 => /lib/x86_64-linux-gnu/libgcc_s.so.1 (0x00007f8b49979000)
        libc.so.6 => /lib/x86_64-linux-gnu/libc.so.6 (0x00007f8b497b8000)
        /lib64/ld-linux-x86-64.so.2 (0x00007f8b4b0df000)
        libboost_system.so.1.62.0 => not found
        libssl.so.1.1 => /usr/lib/x86_64-linux-gnu/libssl.so.1.1 (0x00007f8b49725000)
        libcrypto.so.1.1 => /usr/lib/x86_64-linux-gnu/libcrypto.so.1.1 (0x00007f8b4943b000)
        libboost_chrono.so.1.62.0 => not found
        libboost_random.so.1.62.0 => not found
        librt.so.1 => /lib/x86_64-linux-gnu/librt.so.1 (0x00007f8b49431000)
        libicui18n.so.63 => /usr/lib/x86_64-linux-gnu/libicui18n.so.63 (0x00007f8b48f66000)
        libicuuc.so.63 => /usr/lib/x86_64-linux-gnu/libicuuc.so.63 (0x00007f8b48b9c000)
        libpcre2-16.so.0 => /usr/lib/x86_64-linux-gnu/libpcre2-16.so.0 (0x00007f8b48b1b000)
        libdouble-conversion.so.1 => /usr/lib/x86_64-linux-gnu/libdouble-conversion.so.1 (0x00007f8b48b04000)
        libdl.so.2 => /lib/x86_64-linux-gnu/libdl.so.2 (0x00007f8b48aff000)
        libglib-2.0.so.0 => /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0 (0x00007f8b489e0000)
        libicudata.so.63 => /usr/lib/x86_64-linux-gnu/libicudata.so.63 (0x00007f8b46df0000)
        libpcre.so.3 => /lib/x86_64-linux-gnu/libpcre.so.3 (0x00007f8b46d7c000)

# root @ Qnap in ~ [10:56:04]
$ qbittorrent-nox
qbittorrent-nox: error while loading shared libraries: libboost_system.so.1.62.0: cannot open shared object file: No such file or directory
Categorie: Forum Debianizzati

Re: Buster - come installare libreria di stretch?

Dom, 11/08/2019 - 10:49
Puoi fornire l'output degli ulteriori comandi:
ldd $(type qbittorrent-nox | cut -d ' ' -f 3)
ldconfig
ldd $(type qbittorrent-nox | cut -d ' ' -f 3)
qbittorrent-nox
Categorie: Forum Debianizzati